---
updatedAt: 2026-05-28T10:59:57.000Z
---

# Get site time zone

Retrieves the time zone of a site.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Site API",
    "version": "1.0",
    "contact": {
      "name": "Order Management APIs team"
    }
  },
  "x-readme": {
    "explorer-enabled": false
  },
  "servers": [
    {
      "url": "https://api.developers.deliveroo.com/site",
      "description": "Production API"
    },
    {
      "url": "https://api-sandbox.developers.deliveroo.com/site",
      "description": "Sandbox"
    }
  ],
  "paths": {
    "/v1/brands/{brand_id}/sites/{site_id}/time_zone": {
      "summary": "Time zone",
      "description": "Endpoints relating to the time zone of a site.",
      "parameters": [
        {
          "$ref": "#/components/parameters/brand_id"
        },
        {
          "$ref": "#/components/parameters/site_id"
        }
      ],
      "get": {
        "summary": "Get site time zone",
        "description": "Retrieves the time zone of a site.",
        "operationId": "get-site-time-zone",
        "tags": [
          "Time Zone"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/GetTimeZoneResponseBody"
          },
          "400": {
            "$ref": "#/components/responses/ErrorBadRequest"
          },
          "401": {
            "$ref": "#/components/responses/ErrorUnauthorized"
          },
          "404": {
            "$ref": "#/components/responses/ErrorNotFound"
          },
          "500": {
            "$ref": "#/components/responses/ErrorServerError"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Error": {
        "title": "Error",
        "type": "object",
        "properties": {
          "error": {
            "description": "Error body",
            "type": "object",
            "properties": {
              "code": {
                "description": "HTTP status code description.",
                "type": "string"
              },
              "message": {
                "description": "Details about the error.",
                "type": "string"
              }
            }
          }
        },
        "required": [
          "code",
          "message"
        ]
      }
    },
    "parameters": {
      "brand_id": {
        "name": "brand_id",
        "in": "path",
        "required": true,
        "schema": {
          "type": "string"
        },
        "description": "The unique identifier for the brand."
      },
      "site_id": {
        "name": "site_id",
        "in": "path",
        "required": true,
        "schema": {
          "type": "string"
        },
        "description": "Identifier defined by the user."
      }
    },
    "responses": {
      "GetTimeZoneResponseBody": {
        "description": "Completed successfully. Data is returned in the response body.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "time_zone": {
                  "type": "string",
                  "example": "Europe/London"
                }
              },
              "example": {
                "time_zone": "Europe/London"
              }
            }
          }
        }
      },
      "ErrorBadRequest": {
        "description": "Typically, a required parameter is missing or invalid.",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/Error"
                },
                {
                  "example": {
                    "error": {
                      "code": "bad_request",
                      "message": "invalid request"
                    }
                  }
                }
              ]
            }
          }
        },
        "headers": {}
      },
      "ErrorUnauthorized": {
        "description": "The provided API key and API token is invalid or disabled.",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/Error"
                },
                {
                  "example": {
                    "error": {
                      "code": "unauthorized",
                      "message": "The provided API key and API token is invalid or disabled."
                    }
                  }
                }
              ]
            }
          }
        },
        "headers": {}
      },
      "ErrorNotFound": {
        "description": "The specified resource could not be found.",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/Error"
                },
                {
                  "example": {
                    "error": {
                      "code": "not_found"
                    }
                  }
                }
              ]
            }
          }
        },
        "headers": {}
      },
      "ErrorServerError": {
        "description": "Something went wrong on our end. You'll have to try again later once we've fixed it.",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/Error"
                },
                {
                  "example": {
                    "error": {
                      "code": "internal_server_error",
                      "message": "Internal server error"
                    }
                  }
                }
              ]
            }
          }
        }
      }
    },
    "securitySchemes": {
      "OAuth2-Production": {
        "type": "oauth2",
        "description": "OAuth for Production",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://auth.developers.deliveroo.com/oauth2/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "OAuth2-Production": []
    }
  ],
  "tags": [
    {
      "name": "Time Zone"
    }
  ]
}
```